use std::path::PathBuf;
use clap::{Args};
use manifest::Manifest;

#[derive(Args, Debug)]
pub struct Arguments {
    #[arg(default_value = ".")]
    directory: String
}

pub fn execute (_arguments: &Arguments) {
    let directory: PathBuf = PathBuf::from(_arguments.directory.clone());

    let manifest = Manifest::from(&directory);

    match manifest.init() {
        true => println!("Project initialized"),
        false => println!("Project already initialized")
    }
}
